Package ru.bgcrm.plugin.document.event

# Class DocumentGenerateEvent

java.lang.Object
org.bgerp.event.base.UserEvent
ru.bgcrm.plugin.document.event.DocumentGenerateEvent

All Implemented Interfaces:
  `Event`

public class DocumentGenerateEvent extends UserEvent

- ## Field Summary

  ### Fields inherited from class org.bgerp.event.base.UserEvent

  `form`

  ### Fields inherited from interface org.bgerp.app.event.iface.Event

  `KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentGenerateEvent(DynActionForm form, Pattern pattern, String objectType, List<Integer> objectIds)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getObjectId()`
  `List<Integer>`
  `getObjectIds()`
  `String`
  `getObjectType()`
  `Pattern`
  `getPattern()`
  `byte[]`
  `getResultBytes()`
  `Document`
  `getResultDocument()`
  `boolean`
  `isDebug()`
  `static boolean`
  `isDebug(DynActionForm form)`
  `void`
  `setResultBytes(byte[] resultStream)`
  `Document`
  `setResultDocument()`

  ### Methods inherited from class org.bgerp.event.base.UserEvent

  `getForm, getUser, processing, stopProcessing`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentGenerateEvent

    public DocumentGenerateEvent(DynActionForm form, Pattern pattern, String objectType, List<Integer> objectIds)

- ## Method Details

  - ### setResultDocument

    public Document setResultDocument()

  - ### getResultDocument

    public Document getResultDocument()

  - ### getResultBytes

    public byte[] getResultBytes()

  - ### setResultBytes

    public void setResultBytes(byte[] resultStream)

  - ### getPattern

    public Pattern getPattern()

  - ### getObjectType

    public String getObjectType()

  - ### getObjectId

    public int getObjectId()

  - ### getObjectIds

    public List<Integer> getObjectIds()

  - ### isDebug

    public boolean isDebug()

  - ### isDebug

    public static boolean isDebug(DynActionForm form)